## fonts-lohit-mlym 2.5.4

=== Makefile ===
all: ttf woff eot ttf-dist sfd-dist web-dist

version:= 2.5.4

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	java -jar /usr/share/java/sfnttool.jar -w Lohit-Malayalam.ttf Lohit-Malayalam.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	java -jar /usr/share/java/sfnttool.jar -e -x Lohit-Malayalam.ttf Lohit-Malayalam.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-malayalam-ttf-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS  ChangeLog  67-lohit-malayalam.conf Lohit-Malayalam.ttf lohit-malayalam-ttf-$(version)
	rm -rf lohit-malayalam-ttf-$(version)/.git
	tar -cf lohit-malayalam-ttf-$(version).tar lohit-malayalam-ttf-$(version)
	gzip lohit-malayalam-ttf-$(version).tar
	rm -rf lohit-malayalam-ttf-$(version)

sfd-dist: dist
	mkdir lohit-malayalam-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS generate*.pe Makefile ChangeLog  67-lohit-malayalam.conf Lohit-Malayalam.sfd lohit-malayalam-$(version)
	rm -rf lohit-malayalam-$(version)/.git
	rm -rf lohit-malayalam-$(version)/*.ttf
	tar -cf lohit-malayalam-$(version).tar lohit-malayalam-$(version)
	gzip lohit-malayalam-$(version).tar
	rm -rf lohit-malayalam-$(version)

web-dist: webdist
	mkdir lohit-malayalam-web-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS  ChangeLog  Lohit-Malayalam.woff  Lohit-Malayalam.eot lohit-malayalam-web-$(version)
	rm -rf lohit-malayalam-web-$(version)/.git
	tar -cf lohit-malayalam-web-$(version).tar lohit-malayalam-web-$(version)
	gzip lohit-malayalam-web-$(version).tar
	rm -rf lohit-malayalam-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-malayalam*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version

## fonts-lohit-mlym 2.5.1

=== debian/changelog ===
fonts-lohit-mlym (2.5.1-1) unstable; urgency=low

  * Split from ttf-malayalam-fonts packgae

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 04 Mar 2012 16:30:21 +0530

=== debian/control ===
Source: fonts-lohit-mlym
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-ml.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-ml.git;a=summary

Package: fonts-lohit-mlym
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-malayalam-fonts (<= 1:0.5.12)
Breaks: ttf-malayalam-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Malayalam Language
 This package provides Lohit TrueType font for Malayalam
 language (ml), which is primarily spoken in the Indian
 state of Kerala.

## fonts-lohit-mlym 2.5.3

=== debian/changelog ===
fonts-lohit-mlym (2.5.3-1) unstable; urgency=low

  * Use canonical anonscm.d.o URL's for Vcs-* fields
  * Mark the package as multi-arch foreign
  * Imported Upstream version 2.5.3
  * Upload to unstable.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Jun 2013 20:26:07 +0530

fonts-lohit-mlym (2.5.2-1) experimental; urgency=low

  * Imported Upstream version 2.5.2

  [Vasudev Kamath]
  * debian/control:
    + Bumped Standards-Version to 3.9.4. This did not require any
      changes to package source.
    + Vcs-Browse now points to anonscm.d.o URL instead of git.d.o
  * debian/copyright:
    + Added Upstream-Contact field

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Dec 2012 09:50:45 +0530

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: debhelper (>= 8.0.0),
                fontforge
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/lohit/
-Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-ml.git
-Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-ml.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-ml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-ml.git
 
 Package: fonts-lohit-mlym
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: ttf-malayalam-fonts (<= 1:0.5.12)
 Breaks: ttf-malayalam-fonts (<= 1:0.5.12)

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-malayalam-(\d\.\d\.\d\.*\d*)\.tar\.gz

## fonts-lohit-mlym 2.5.4

=== debian/changelog ===
fonts-lohit-mlym (2.5.4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.4
  * Bumped Standards-Version to 3.9.5.
  * Pass ttf as params to dh_auto_build which should be passed as target
    to make.
  * Drop README.cvs and Changelog.old from docs file.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 08 Feb 2014 09:41:28 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: debhelper (>= 8.0.0),
                fontforge
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/lohit/
 Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-ml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-ml.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -Smakefile -- ttf

## fonts-lohit-mlym 2.92.2

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist

version:= 2.92.2

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Malayalam.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Malayalam.sfd Lohit-Malayalam.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Malayalam.ttf Lohit-Malayalam.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Malayalam.ttf Lohit-Malayalam.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-malayalam-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-malayalam.txt README  AUTHORS  ChangeLog  67-lohit-malayalam.conf Lohit-Malayalam.ttf io.pagure.lohit.malayalam.font.metainfo.xml lohit-malayalam-ttf-$(version)
	rm -rf lohit-malayalam-ttf-$(version)/.git
	tar -cf lohit-malayalam-ttf-$(version).tar lohit-malayalam-ttf-$(version)
	gzip lohit-malayalam-ttf-$(version).tar
	rm -rf lohit-malayalam-ttf-$(version)

sfd-dist: dist
	mkdir lohit-malayalam-$(version)
	cp -p COPYRIGHT OFL.txt test-malayalam.txt std-test-out.txt README  AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog  67-lohit-malayalam.conf Lohit-Malayalam.sfd io.pagure.lohit.malayalam.font.metainfo.xml lohit-malayalam-$(version)
	rm -rf lohit-malayalam-$(version)/.git
	rm -rf lohit-malayalam-$(version)/*.ttf
	tar -cf lohit-malayalam-$(version).tar lohit-malayalam-$(version)
	gzip lohit-malayalam-$(version).tar
	rm -rf lohit-malayalam-$(version)

web-dist: webdist
	mkdir lohit-malayalam-web-$(version)
	cp -p COPYRIGHT OFL.txt test-malayalam.txt README  AUTHORS  ChangeLog  Lohit-Malayalam.woff  Lohit-Malayalam.eot lohit-malayalam-web-$(version)
	rm -rf lohit-malayalam-web-$(version)/.git
	tar -cf lohit-malayalam-web-$(version).tar lohit-malayalam-web-$(version)
	gzip lohit-malayalam-web-$(version).tar
	rm -rf lohit-malayalam-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-malayalam*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

=== debian/changelog ===
fonts-lohit-mlym (2.92.2-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Fix fails to build source after successful build (Closes: #1044281)
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
    + Depends on fontforge-nox.
    + Bumped debhelper-compat.
  * Updated debian/watch to standard 5.
  * Updated patch header.
  * Added debian/upstream/metadata file.
  * debian/copyright:
    + Updated Debian copyright year.
    + Use short version of CC0-1.0 license.
  * Remove obsolete README.Debian file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Jan 2026 17:39:14 +0530

fonts-lohit-mlym (2.92.2-2) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Fixed Vcs-* URLs.
    + Set maintainer to Debian Fonts Task Force.
    + Added 'Rules-Requires-Root' field.
  * Added debian/gitlab-ci.yml file.
  * debian/copyright:
    + Use https in URL.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Apr 2020 22:10:51 +0530

fonts-lohit-mlym (2.92.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload.
  * Imported Upstream version 2.92.2.
  * Update debian/watch, Homepage, and Vcs- fields.
  * Don't fail the build for failing tests yet.
  * debian/docs:
    + Install AUTHORS.
  * Install appstream metadata.
  * Add fix-appstream-metadata.patch.

  [ Kartik Mistry ]
  * debian/control:
    + Updated debhelper dependency to >= 9 for debian/compat 9.
    + Updated Standards-Version to 4.0.0.

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Jun 2017 20:59:59 +0530

=== debian/control ===
Source: fonts-lohit-mlym
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-ml.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-ml

Package: fonts-lohit-mlym
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-malayalam-fonts (<= 1:0.5.12)
Breaks: ttf-malayalam-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Malayalam Language
 This package provides Lohit TrueType font for Malayalam
 language (ml), which is primarily spoken in the Indian
 state of Kerala.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	cp Lohit-Malayalam.sfd build/
	fontforge -lang=py -script apply_featurefile.py \
			build/Lohit-Malayalam.sfd Lohit-Malayalam.fea Lohit-Malayalam.sfd
	(cd build && fontforge -script ../generate.pe Lohit-Malayalam.sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-malayalam-([\d\.]+)\.tar\.gz
